
package net.mcreator.baldi.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.world.World;
import net.minecraft.item.UseAction;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.Food;
import net.minecraft.entity.LivingEntity;

import net.mcreator.baldi.procedures.EnergyFlavoredZestyBarFoodEatenProcedure;
import net.mcreator.baldi.itemgroup.BaldisBasicsItemGroup;
import net.mcreator.baldi.BaldiModElements;

import java.util.Map;
import java.util.HashMap;

@BaldiModElements.ModElement.Tag
public class EnergyFlavoredZestyBarItem extends BaldiModElements.ModElement {
	@ObjectHolder("baldi:energy_flavored_zesty_bar")
	public static final Item block = null;
	public EnergyFlavoredZestyBarItem(BaldiModElements instance) {
		super(instance, 5);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new FoodItemCustom());
	}
	public static class FoodItemCustom extends Item {
		public FoodItemCustom() {
			super(new Item.Properties().group(BaldisBasicsItemGroup.tab).maxStackSize(1)
					.food((new Food.Builder()).hunger(100).saturation(10f).setAlwaysEdible().build()));
			setRegistryName("energy_flavored_zesty_bar");
		}

		@Override
		public int getUseDuration(ItemStack stack) {
			return 1;
		}

		@Override
		public UseAction getUseAction(ItemStack par1ItemStack) {
			return UseAction.EAT;
		}

		@Override
		public ItemStack onItemUseFinish(ItemStack itemStack, World world, LivingEntity entity) {
			ItemStack retval = super.onItemUseFinish(itemStack, world, entity);
			double x = entity.getPosX();
			double y = entity.getPosY();
			double z = entity.getPosZ();
			{
				Map<String, Object> $_dependencies = new HashMap<>();
				$_dependencies.put("entity", entity);
				EnergyFlavoredZestyBarFoodEatenProcedure.executeProcedure($_dependencies);
			}
			return retval;
		}
	}
}
